Search Gradle plugins

Version 0.21.0

Created 30 March 2022.

- Add deprecation warnings for API element to be removed in next major version (1.0)
- Add warnings when using Gradle versions that will no longer be supported by the next major plugin version

Using the plugins DSL:

plugins {
  id "com.gradle.plugin-publish" version "0.21.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.gradle.publish:plugin-publish-plugin:0.21.0"
  }
}

apply plugin: "com.gradle.plugin-publish"

Using the plugins DSL:

plugins {
  id("com.gradle.plugin-publish") version "0.21.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.gradle.publish:plugin-publish-plugin:0.21.0")
  }
}

apply(plugin = "com.gradle.plugin-publish")

Learn how to apply plugins to subprojects